#3069 closed enhancement (fixed)

Add rtems_scheduler_ident_by_processor()

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: rtems Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

/**
 * @brief Identifies a scheduler by a processor index.
 *
 * @param[in] cpu_index The processor index.
 * @param[out] id The scheduler identifier associated with the processor index.
 *
 * @retval RTEMS_SUCCESSFUL Successful operation.
 * @retval RTEMS_INVALID_ADDRESS The @a id parameter is @c NULL.
 * @retval RTEMS_INVALID_NAME Invalid processor index.
 * @retval RTEMS_INCORRECT_STATE The processor index is valid, however, this
 *   processor is not owned by a scheduler.
 */

Change History (4)

comment:1 Changed on Jul 12, 2017 at 6:01:44 AM by Sebastian Huber <sebastian.huber@…>

In 548d65a/rtems:

rtems: Add rtems_scheduler_ident_by_processor()

Update #3069.

comment:2 Changed on Jul 12, 2017 at 6:29:10 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In a31dbcb/rtems-docs:

c-user: Document new scheduler ident routines

Close #3069.
Close #3070.

comment:3 Changed on Oct 10, 2017 at 6:24:23 AM by Sebastian Huber

Component: SMPrtems

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.